$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.3-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.3-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '9BED767CA90925675A82E53C088D8478E0B20DDE7B8772B0B4B0A29EBD0A5CFA'
  checksumType = 'sha256'
  checksum64 = '9BED767CA90925675A82E53C088D8478E0B20DDE7B8772B0B4B0A29EBD0A5CFA'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
